package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class CentralPMEPage extends PageBase {
    //Mapping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarnoCampoCentral = By.xpath("//*[@class='v-list-item__content']");

    By AdicionarCentral = By.xpath("//div[@id=\"CENTRAL-top\"]//button[@id='addButton']");
    By SelecionarUnidade = By.xpath("//div[text()='A470 | TESTE']");
    By Clicarparaselecionartipo = By.xpath("//input[@id='IDTPFILIALCENT_editable_']");
    By SelecionarTipo = By.xpath("//div[@class='v-list-item__content']//div[text()='Merenda']");
    By ClicaremSalvar = By.xpath("//div[@id='CENTRAL-top']//i[@class='v-icon notranslate mdi mdi-check theme--light']");
    By ClicaremAtualizar = By.xpath("//div[@id='CENTRAL-top']//i[@class='v-icon notranslate mdi mdi-reload theme--light']");
    By ClicaremExcluir = By.xpath("//div[@id='CENTRAL-top']//i[@class=\"v-icon notranslate mdi mdi-trash-can-outline theme--light\"]");
    By CentralCriada = By.xpath("//span[text()='Salvo com sucesso!']");

    By ClicarnosRelatorios = By.xpath("//button[@id='acaoRelatorioCentral']");
    By Clicarcampocentrais = By.xpath("//input[@id='CENTRAIS']");
    By SelecionarCentral = By.xpath("//div[text()='0001 | CENTRAL TRANSPORTADA']");
    By ClicarForadoCard = By.xpath("//div[@class='v-card__text zd-modal-card-text']");
    By ClicaremPDF = By.xpath("//i[@class='v-icon notranslate v-icon--left mdi mdi-file-pdf-outline theme--light']");

    //Actions
    public void AcessaraTela(){
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Central");
        tempo();
        click(ClicarnoCampoCentral);
    }

    public void AdicionarCentral(){
        tempo();
        click(AdicionarCentral);
        click(SelecionarUnidade);
        tempo();
        click(Clicarparaselecionartipo);
        click(SelecionarTipo);
        tempo();
        click(ClicaremSalvar);
        tempo();
    }

    public String RetornaMsgCentralCriada(){
        return getText(CentralCriada);

    }

}
